function checkHref(elem) {
  var xmlHttp = new XMLHttpRequest()
  xmlHttp.onreadystatechange = function () {
    if (xmlHttp.readyState == 4) {
      elem.classList.add("hasResponseStatus")
      elem.classList.add("status-" + xmlHttp.status)
      elem.title = "Response code: " + xmlHttp.status + " - " + xmlHttp.statusText
    }
  }
  xmlHttp.open("GET", elem.href, true) // true for asynchronous 
  xmlHttp.send(null)
}

function checkPerms(className) {
  var rootElems = document.getElementsByClassName(className)
  Array.from(rootElems).forEach(elem =>
    Array.from(elem.children).forEach(elem => checkHref(elem))
  )
}

async function get_resource(id, token, authProvider) {
  //if (!keycloak.keycloak) { return }
  const resp = await fetch("resource/" + id, {
    method: "GET",
    headers: new Headers({
      "Content-type": "application/json",
      "Authorization": `Bearer ${token}`,
      "auth_provider": authProvider,
    }),
  })
  /*
    resource.value = resp['data']
    msg.value = ""
  }
  ).catch (
  err => msg.value = err
  )
*/
  const resource = await resp.json()
  const rootElem = document.getElementById('resource')
  rootElem.innerHTML = ""
  Object.entries(resource).forEach(
    ([k, v]) => {
      let r = document.createElement('div')
      let kElem = document.createElement('div')
      kElem.innerText = k
      kElem.className = "key"
      let vElem = document.createElement('div')
      vElem.innerText = v
      vElem.className = "value"
      r.appendChild(kElem)
      r.appendChild(vElem)
      rootElem.appendChild(r)
    }
  )
}
